﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:local="clr-namespace:TheBarbers">

    <!--#region Resources --> 
    
    <SolidColorBrush x:Key="ThemePrimaryColor" Color="#816c5b"/>
    <SolidColorBrush x:Key="ThemeSecondaryColor" Color="#a9a18c"/>
    <SolidColorBrush x:Key="ThemeTertiaryColor" Color="#493829"/>
    <SolidColorBrush x:Key="ThemeWhite" Color="White"/>
    <SolidColorBrush x:Key="ThemeBlack" Color="Black"/>

    <FontFamily x:Key="MagistralBold">/Assets/Magistral/Magistral-Bold.otf#Magistral</FontFamily>
    <FontFamily x:Key="MagistralCondensed3">/Assets/Magistral/Magistral-Condensed3.otf#Magistral 3</FontFamily>
    <FontFamily x:Key="MagistralCondensed5">/Assets/Magistral/Magistral-Condensed5.otf#Magistral 5</FontFamily>
    <FontFamily x:Key="MagistralRegular3">/Assets/Magistral/Magistral-Regular3.otf#Magistal</FontFamily>

    <Image x:Key="SearchImage" Source="/Assets/search.png"/>
    
    <!--#endregion-->

    <!--#region Header-->

    <Style TargetType="Grid" x:Key="HeaderGrid">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Background" Value="{StaticResource ThemeTertiaryColor}"/>
    </Style>

    <Style TargetType="TextBlock" x:Key="HeaderText">
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="FontSize" Value="30"/>
        <Setter Property="TextAlignment" Value="Center"/>
    </Style>

    <Style TargetType="Button" x:Key="HeaderButton">
        <Setter Property="Background" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Foreground" Value="Transparent"/>
    </Style>

    <Style TargetType="Image" x:Key="HeaderButtonImage">
        <Setter Property="Height" Value="45"/>
        <Setter Property="Width" Value="55"/>
    </Style>

    <!--#endregion-->

    <!--#region Border-->

    <Style TargetType="Border" x:Key="Border">
        <Setter Property="BorderBrush" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="BorderThickness" Value="0 0 0 2"/>
    </Style>

    <!--#endregion-->

    <!--#region Home -->

    <Style TargetType="StackPanel" x:Key="HomeButtonStackPanel">
        <Setter Property="Orientation" Value="Vertical"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
    </Style>

    <Style TargetType="Button" x:Key="HomeButton">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Background" Value="{StaticResource ThemePrimaryColor}"/>
    </Style>

    <Style TargetType="Image" x:Key="HomeButtonImage">
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="Height" Value="100"/>
        <Setter Property="Width" Value="100"/>

    </Style>

    <Style TargetType="TextBlock" x:Key="HomeButtonText">
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="FontSize" Value="45"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeBlack}"/>
        <Setter Property="TextAlignment" Value="Center"/>
    </Style>

    <!--#endregion-->
    
    <!--#region Functionalities-->

    <Style TargetType="Grid" x:Key="BaseGrid">
        <Setter Property="Background" Value="{StaticResource ThemePrimaryColor}"/>
    </Style>

    <Style TargetType="ListView" x:Key="DataOverviewListView">
        <Setter Property="Background" Value="{StaticResource ThemeSecondaryColor}"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralRegular3}"/>
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeBlack}"/>
        <Setter Property="SelectionMode" Value="Single"/>
        <Setter Property="BorderBrush" Value="{StaticResource ThemeTertiaryColor}"/>
    </Style>

    <Style TargetType="Grid" x:Key="DataOverviewGrid">
        <Setter Property="Margin" Value="20 20 20 20"/>
    </Style>

    <Style TargetType="Button" x:Key="DataOverviewButton">
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="Margin" Value="10 10 0 0"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Background" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="Padding" Value="2"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
    </Style>

    <Style TargetType="TextBlock" x:Key="InputHeaderTextBox">
        <Setter Property="FontSize" Value="20"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
    </Style>

    <Style TargetType="StackPanel" x:Key="InputStackPanel">
        <Setter Property="Margin" Value="20 0 20 10"/>
        <Setter Property="Orientation" Value="Vertical"/>        
    </Style>

    <Style TargetType="TextBlock" x:Key="InputTextBlock">
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="Margin" Value="0 0 0 3"/>
    </Style>

    <Style TargetType="TextBox" x:Key="InputTextBox">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="Padding" Value="2"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="Background" Value="{StaticResource ThemeSecondaryColor}"/>
        <Setter Property="BorderBrush" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Margin" Value="0 0 0 10"/>
    </Style>

    <Style TargetType="Button" x:Key="InputButton">
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Margin" Value="0 5 0 0"/>
        <Setter Property="Background" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="Padding" Value="2"/>
    </Style>

    <Style TargetType="ComboBox" x:Key="InputComboBox">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="Padding" Value="3"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Background" Value="{StaticResource ThemeSecondaryColor}"/>
        <Setter Property="BorderBrush" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Margin" Value="0 0 0 10"/>
    </Style>

    <Style TargetType="StackPanel" x:Key="SearchStackPanel">
        <Setter Property="Orientation" Value="Horizontal"/>
        <Setter Property="HorizontalAlignment" Value="Left"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="Margin" Value="0 10 0 0"/>
    </Style>

    <Style TargetType="TextBox" x:Key="SearchTextBox">
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="VerticalAlignment" Value="Center"/>
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="Padding" Value="2"/>
        <Setter Property="Width" Value="120"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="Background" Value="{StaticResource ThemeSecondaryColor}"/>
        <Setter Property="BorderBrush" Value="{StaticResource ThemeTertiaryColor}"/>
    </Style>

    <Style TargetType="Button" x:Key="SearchButton">
        <Setter Property="FontSize" Value="15"/>
        <Setter Property="FontFamily" Value="{StaticResource MagistralCondensed5}"/>
        <Setter Property="Background" Value="{StaticResource ThemeTertiaryColor}"/>
        <Setter Property="Foreground" Value="{StaticResource ThemeWhite}"/>
        <Setter Property="HorizontalAlignment" Value="Center"/>
        <Setter Property="VerticalAlignment" Value="Bottom"/>
        <Setter Property="Padding" Value="2"/>
        <Setter Property="Height" Value="26"/>
        <Setter Property="Width" Value="26"/>
        
    </Style>
    <Color x:Key="Color1">#FF686868</Color>


    <!--#endregion-->

</ResourceDictionary>